Itunes

Discussion in 'Windows, Linux & Others on the Mac' started by illyb2000, Jul 7, 2015.

  1. illyb2000, Jul 7, 2015
    Last edited by a moderator: Jul 7, 2015

    illyb2000 macrumors 6502

    Joined:
    Jun 25, 2012
    #1
    I am trying to update to Itunes 12.1 and I get a message saying I need windows 7, but I have vista.
     
  2. lagwagon Suspended

    lagwagon

    Joined:
    Oct 12, 2014
    Location:
    Calgary, Alberta, Canada
    #2
    Vista is older than Windows 7. Thus why it is telling you that you need at least Win7 for the update.
     
  3. dwfaust macrumors 68040

    dwfaust

    Joined:
    Jul 3, 2011
    Location:
    I am here => [•]
    #3
    Gotta update. I can't imagine running Vista, anyway.
     
  4. yjchua95 macrumors 604

    Joined:
    Apr 23, 2011
    Location:
    GVA, KUL, MEL (current), ZQN
    #4
    So upgrade to Windows 7 or 8 then.
     
  5. illyb2000 thread starter macrumors 6502

    Joined:
    Jun 25, 2012
    #5
    Is this free ?
     
  6. illyb2000 thread starter macrumors 6502

    Joined:
    Jun 25, 2012
    #6
    Cheers, is this a free upgrade?
     
  7. yjchua95 macrumors 604

    Joined:
    Apr 23, 2011
    Location:
    GVA, KUL, MEL (current), ZQN
    #7
    Oh no, it isn't.

    The upgrade from 7 to 10 is free though.
     
  8. illyb2000 thread starter macrumors 6502

    Joined:
    Jun 25, 2012
    #8
    I'll leave it then, not worth paying to upgrade for a free application. Thanks for the response
     
  9. yjchua95 macrumors 604

    Joined:
    Apr 23, 2011
    Location:
    GVA, KUL, MEL (current), ZQN
    #9
    Why are you still running on Vista anyway? It's a resource hogging OS that is heavily outdated and no longer receives mainstream support from Microsoft.
     
  10. illyb2000 thread starter macrumors 6502

    Joined:
    Jun 25, 2012
    #10
    J
    just what the PC came with and have never needed to upgrade, maybe now is the time
     
  11. yjchua95 macrumors 604

    Joined:
    Apr 23, 2011
    Location:
    GVA, KUL, MEL (current), ZQN
    #11
    Should've probably done it when Microsoft ended mainstream support for Vista, but getting it done now is better than not upgrading at all.
     

Share This Page